<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    tools:keep="@layout/ship_item"
    tools:context=".MainActivity">

    <data>
        <variable name="model" type="com.pajato.lapcounter.ui.ItemSelectorViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:id="@+id/item_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView style="@style/ShipCategory"
            android:id="@+id/category_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{model.getCategoryName()}"
            android:visibility="@{model.getCategoryVisibility()}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="A" />

        <ImageView
            android:id="@+id/ship_image"
            android:adjustViewBounds="true"
            android:layout_width="64dp"
            android:layout_height="64dp"
            android:contentDescription="@{model.getItemContentDescription()"
            android:scaleType="centerCrop"
            android:visibility="@{model.getCategoryVisibility()}"
            app:layout_constraintBottom_toBottomOf="@+id/category_name"
            app:layout_constraintEnd_toStartOf="@+id/category_name"
            app:layout_constraintTop_toTopOf="@+id/category_name"
            app:srcCompat="@mipmap/ic_ship"
            tools:visibility="visible"/>

        <TextView style="@style/ShipName"
            android:id="@+id/item_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{model.getItemName()}"
            android:visibility="@{model.getItemVisibility()}"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            tools:text="Alruna" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
